<template>
  <div>
    <patients v-if="authUser.role === 'NURSE'"></patients>
    <calendar v-if="authUser.role === 'DIETITIAN' || authUser.role === 'DIETITIAN_CHIEF'"></calendar>
    <admin v-if="authUser.role === 'ADMIN'"></admin>
  </div>
</template>

<script>
import { mapGetters } from 'vuex'

import store from '@/store/Store'
import Patients from '@/components/patients/Patients'
import Calendar from '@/components/calendar/Calendar'
import Admin from '@/components/pages/Admin'

export default {
  name: 'Home',
  store,
  data () {
    return {
    }
  },
  mounted () {
  },
  computed: {
    ...mapGetters({
      authUser: 'AuthStore/authUser'
    })
  },
  components: {
    Patients,
    Calendar,
    Admin
  }
}
</script>
